QT       += core gui serialport network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++11

FORMS += PhaseWindow.ui

include(common/common.pri)
include(protocol/protocol.pri)

HEADERS += PhaseDevice.h
HEADERS += PhaseWindow.h

SOURCES += PhaseDevice.cpp
SOURCES += PhaseWindow.cpp
SOURCES += main.cpp

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

unix:!macx: LIBS += -L$$PWD/lib/librdkafka/ -lrdkafka -lrdkafka++
INCLUDEPATH += $$PWD/include/librdkafka
DEPENDPATH += $$PWD/include/librdkafka

DISTFILES += conf/config.ini
